RPMDB(8)

NAMN
rpmdb — RPM-databasverktyg

SYNOPSIS
rpmdb [flaggor] {--initdb|--rebuilddb}

rpmdb [flaggor] {--verifydb}

rpmdb [flaggor] {--exportdb|--importdb}

BESKRIVNING
rpmdb används för underhållsåtgärder av rpm-databasen.

ÅTGÄRDER
--initdb
    Skapa en ny databas om det inte redan finns en. En befintlig databas skrivs inte över.

--rebuilddb
    Bygg om databasen från de installerade paketens huvuden. Ett ombygge slänger eventuella oläsbara (trasiga) huvuden från databasen, men kompakterar även databasen ifall den har vuxit sig stor över tiden.

    Kan även användas för att konvertera mellan olika rpmdb-format.

--verifydb
    Utför en lågnivås integritetskontroll av databasen. Sällan nyttigt, för systemhälsan är rpm --verify -a en bra mycket mer meningsfull åtgärd.

--exportdb
    Exportera databasen i huvudlisteformat, lämpligt för transport till en annan värd eller databastyp. Datan skrivs ut på standard ut.

--importdb
    Importerar en databas från ett huvudlisteformat så som det skapas av --exportdb. Datan läses från standard in.

FLAGGOR
Se rpm-common(8) för flaggorna gemensamma för alla rpm-program.

KONFIGURATION
Det finns flera konfigurationer som påverkar rpmdb-åtgärder, men i synnerhet de följande (se rpm-config(5) för detaljer):
•   %_dbpath
•   %_db_backend

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpmdb --initdb --dbpath /tmp/testdb
    Initiera en ny databas i katalogen /tmp/testdb.

rpmdb --rebuilddb
    Bygg om systemets rpmdb.

rpmdb --verifydb --root /mnt
    Verifiera systemdatabasen för en systemavbild monterad på /mnt.

rpmdb --exportdb > /tmp/huvuden
    Exportera systemdatabasen till filen /tmp/huvuden.

rpmdb --importdb --define "_db_backend ndb" --dbpath /tmp/nydb < /tmp/huvuden
    Importera innehållet i huvudlistan /tmp/huvuden till en (ny) ndb-formaterad databas i /tmp/nydb.

FLAGGOR
Se rpm-common(8) för flaggorna gemensamma för alla åtgärder.

SE ÄVEN
popt(3), rpm(8), rpm-common(8)

rpmdb --help — eftersom rpm(8) stödjer anpassning av flaggor via popt-alias är det omöjligt att garantera att vad som beskrivs i manualen stämmer med vad som finns tillgängligt.

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.